Jump to content

[Most 1.12.x] Near Future Technologies (August 26)


Nertea
 Share

Recommended Posts

17 minutes ago, llamaskywalker said:

does it add files to gamedata becaues thats what i do to install mods

Yes, CKAN just downloads the mods and copies them to GameData; but it checks dependencies, version compatibility, and makes updating easy. 

Link to comment
Share on other sites

2 minutes ago, llamaskywalker said:

Uhh it will only let me install the electrical core and solar core

For the mod you want to install, highlight it in the main CKAN window, then go to the "versions" tab in the lower right of the screen.  Select the latest version (typically) and it will probably work fine.  Those are instructions for "most mods".  Obviously there are some mods that won't function right past their declared max version, but most do ok depending

Link to comment
Share on other sites

At the moment I'm using all the mods from this thread and I can confirm that they all work on the current KSP 1.12.3. Check dependencies.

Link to comment
Share on other sites

1 hour ago, llamaskywalker said:

it wont work it just plays the main menu music while showing the in-game loading screen if u want i could try to send you a copy of my gamedata folder so u could see what's wrong

 

We need a log (look at the linked thread). I think you didn`t instal it correctly. I can confirm that all the mods works in 1.12.x.

Link to comment
Share on other sites

53 minutes ago, Cheesecake said:

 

We need a log (look at the linked thread). I think you didn`t instal it correctly. I can confirm that all the mods works in 1.12.x.

how do i show hidden files, the thread  that says how to show them on windows is gone

Link to comment
Share on other sites

57 minutes ago, llamaskywalker said:

Does Kopernicus play well with KSP 1.12.3? News to me.  It seems to me that going beyond the recommended KSP version for RSS/RO with Kopernicus is always a roll of the dice.  It has been for me anyway

I suggest removing Kopernicus and anything that depends on it and seeing what happens.  If it works ok in that state, and if you really want what you just removed, then you will likely need to install an older version of KSP.  I don't know what is considered stable for Kopernicus, but whatever version the RSS/RO folks recommend for RSS/RO will likely be solid ground for Kopernicus and whatever you have depending on it

Finally, this really isn't the correct forum for Kopernicus issues if that ends up being what the issue is.  But having looked at your log file that KSP version and what I know about Kopernicus jumped out at me

Edited by darthgently
Link to comment
Share on other sites

49 minutes ago, llamaskywalker said:

What I can see:

Quote
Folders and files in GameData:
B9PartSwitch
CommunityResourcePack
CommunityTechTree
CustomAsteroids
DeployableEngines
DMagicOrbitalScience
DynamicBatteryStorage
GameData --> there should be no GameData in GameData!
Kerbal_Planetary_Base_Systems-1.6.14 --> wrong installation because the folder in Gamedata has no version in name. You have also the correct folder in GameData --> PlanetaryBaseInc
Kopernicus
Kopernicus-1.12.1-78 --> wrong installation because the folder in Gamedata has no version in name. Also you have alright a "Kopernicus"-folder. That should be the right one.
ModularFlightIntegrator
ModuleManager-4.2.1 --> ModuleManager schoulkd be not in a folder. Copy the file directly into GameData
NearFutureElectrical
NearFutureExploration
NearFutureLaunchVehicles
NearFutureProps
NearFuturePropulsion
NearFutureSolar
NearFutureSpacecraft
OPM
Outer-Planets-Mod-2.2.10 --> The folder for Outer Planets mode should be "OPM", which is already in GameData
OuterPlanetsMod --> The folder for Outer Planets mode should be "OPM", which is already in GameData
PlanetaryBaseInc
Stock folder: Squad
storedmods
TarsierSpaceTech
XenonHallThrusters
KSPModFileLocalizer.dll
ModuleManager.4.2.1.dll
ModuleManager.ConfigCache
ModuleManager.ConfigSHA
ModuleManager.Physics
ModuleManager.TechTree
ModuleManagerLicense.md
Stockalike.cfg

There are a lot of Kopernicus-Errors in your big log (>40MB). Could be from OPM, whioch isn`t installed correctly.

Link to comment
Share on other sites

6 minutes ago, darthgently said:

Does Kopernicus play well with KSP 1.12.3? News to me.  It seems to me that going beyond the recommended KSP version for RSS/RO with Kopernicus is always a roll of the dice.  It has been for me anyway

I suggest removing Kopernicus and anything that depends on it and seeing what happens.  If it works ok in that state, and if you really want what you just removed, then you will likely need to install an older version of KSP.  I don't know what is considered stable for Kopernicus, but whatever version the RSS/RO folks recommend for RSS/RO will likely be solid ground for Kopernicus and whatever you have depending on it

Finally, this really isn't the correct forum for Kopernicus issues if that ends up being what the issue is.  But having looked at your log file that KSP version and what I know about Kopernicus jumped out at me

The Build 78 is a Kopernicus Stable Branch of @R-T-B and it works with 1.12.x.


But I don`t know if it works with OPM. Some newer Builds have problems with planet packs like JNSQ. R-T-B is working on this.

Link to comment
Share on other sites

3 minutes ago, Cheesecake said:

The Build 78 is a Kopernicus Stable Branch of @R-T-B and it works with 1.12.x.


But I don`t know if it works with OPM. Some newer Builds have problems with planet packs like JNSQ. R-T-B is working on this.

My game machine is down right now so I'm flying blind when responding to some things with no easy way to verify things.  Thanks for the correction

Link to comment
Share on other sites

25 minutes ago, Cheesecake said:

But I don`t know if it works with OPM. Some newer Builds have problems with planet packs like JNSQ. R-T-B is working on this.

I believe the JNSQ problems are resolved.  They were primarily a stock bug, that occured when JNSQ was combined with Galaxies Unbound, IIRC.  They should be fixed if you install KSPCommunityFixes.  Fixing stock bugs is beyond the scope of Kopernicus, so I regularly punt stock issues over to that project and advise everyone install it to avoid known pitfalls.

As for this report, the logs are pretty messy, but I'll see if I can't make any sense of them.  If so, I'll edit this.

EDIT:  No, I'd need the full Logs folder to make heads or tails of that, I'm afraid.  Maybe you can zip that?

Edited by R-T-B
Link to comment
Share on other sites

9 hours ago, Entr8899 said:

Is there a way of adding a similar patch to DecayingRTGs to solar panels, to simulate them degrading from micrometeoroid impacts?

separate mods and not specific in what they simulate regarding degradation but best options IMO

 

Link to comment
Share on other sites

On 2/26/2022 at 9:18 PM, SkyFall2489 said:

Once a nuclear reactor's core health has gone down, is there any way to repair it?

Under NFE model: send a Level 5 engineer on EVA. There is a limit to how far it can be repaired to, and a maximum repair level

Under SH model: send a Level 5 engineer out on EVA with repair kits. Each kit repairs some %.

On 2/28/2022 at 2:19 PM, Northstar1989 said:

@Nertea

Love the hard work as always!

Wanted to give a heads-up that the mods all currently come bundled with B9 Part Switch version 2.18.0 when the latest version is 2.19.0 (even that one wasn't made for KSP 1.12.3 explicitly, but is more likely to work with it without issues than 2.18.0 at least...)

 

EDIT: Other dependencies with NearFuture...

- Packaged Module Manager versions with all the mods are outdated, EXCEPT for with NF Spacecraft for some reason.  They are version  4.1.4 when there's a MM version 4.2.1 except, again, in NF Spacecraft, which carries MM 4.2.1 as is the latest.

- Dynamic Battery Storage (with NF Electrical) is outdated version 2.2.4 when there's a version 2.2.5 .  The update has a few feature fixes beyond simple bugfixes (should have been called 2.3.x instead)

- Kerbal Actuators (with NF Aeronautics) is outdated.  It has version 1.8.3 when the mod was recompiled for KSP 1.12.2 with mod version 1.8.4 (the latest version).

-The Deployable Engines Plugin in NearFuture Aeronautics (but NOT Launch Vehicles) is outdated.  It has version 1.2.2 instead of version 1.3.1

- Community Resource Pack is up-to-date as far as I can tell (can't locate versions past 1.4.1/1.4.2, with some nonsense about them possible being identical...)

This is extremely low priority to update because everything can be updated separately. If there are other reasons for a release then I will usually update the bundled version but I'm not updating a bundle for a dependency update unless there is a critical reason.

On 2/28/2022 at 10:46 PM, Northstar1989 said:

Ahh, ok, thank you.  I might go back and grab that.

Does anyone, or @Nertea know why the Aviation Fuel Cylinders from NearFuture Aeronautics, which say they can be filled with jet fuel, rocket fuel, or nothing; actually cannot be filled with anything and are completely empty for me?

Other parts from, for instance, B9 Procedural Wings (the only non-NF parts mod I currently have installed)- though I will eventually add others once I get NF working right) can be swapped between LF, LF0, and even Monoprop at will.  But the Aviation Fuel cylinders have no toggleable, high weight (for a structural cylinder with no fuel), and only modestly higher tmperature resistance than the stock rocket fuel tanks (which they weigh more than).  I need these parts to be able to hold fuels if possible in a non-RealFuels game (in case that's what it is expecting to be toggleable).

 

EDIT: Also, don't forget what I said jsut a few posts back about the outdated dependencies shipping with some of the NearFuture mods.

This seems to working fine with me, I suspect another mod may be screwing this up.

Link to comment
Share on other sites

  • 3 weeks later...
Just now, dlrk said:

I'm having a problem where the Rhea command pod is being treated as a probe, even when crewed with a pilot.

What do you specifically mean by "being treated as a probe"?  Is the pilot's pic in the lower right in Flight View?

Link to comment
Share on other sites

Just now, darthgently said:

What do you specifically mean by "being treated as a probe"?  Is the pilot's pic in the lower right in Flight View?

Yes, but I only have control when I have a signal to KSC

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...